## org.apache.naming
Class ContextBindings

    java.lang.Object
      org.apache.naming.ContextBindings

public class ContextBindings
extends java.lang.Object

Handles the associations :

- Catalina context name with the NamingContext
- Calling thread with the NamingContext

Version:
  $Revision: 1.9 $ $Date: 2004/08/26 21:46:17 $
Author:
  Remy Maucherat

Field Summary
`protected static StringManager` `sm` The string manager for this package.

Constructor Summary
`ContextBindings()`

Method Summary
`static void` `bindClassLoader(java.lang.Object name)` Binds a naming context to a class loader.
`static void` `bindClassLoader(java.lang.Object name, java.lang.Object token)` Binds a naming context to a thread.
`static void` `bindClassLoader(java.lang.Object name, java.lang.Object token, java.lang.ClassLoader classLoader)` Binds a naming context to a thread.
`static void` `bindContext(java.lang.Object name, javax.naming.Context context)` Binds a context name.
`static void` `bindContext(java.lang.Object name, javax.naming.Context context, java.lang.Object token)` Binds a context name.
`static void` `bindThread(java.lang.Object name)` Binds a naming context to a thread.
`static void` `bindThread(java.lang.Object name, java.lang.Object token)` Binds a naming context to a thread.
`static javax.naming.Context` `getClassLoader()` Retrieves the naming context bound to a class loader.
`static javax.naming.Context` `getThread()` Retrieves the naming context bound to a thread.
`static boolean` `isClassLoaderBound()` Tests if current class loader is bound to a context.
`static boolean` `isThreadBound()` Tests if current thread is bound to a context.
`static void` `unbindClassLoader(java.lang.Object name)` Unbinds a naming context to a class loader.
`static void` `unbindClassLoader(java.lang.Object name, java.lang.Object token)` Unbinds a naming context to a class loader.
`static void` `unbindClassLoader(java.lang.Object name, java.lang.Object token, java.lang.ClassLoader classLoader)` Unbinds a naming context to a class loader.
`static void` `unbindContext(java.lang.Object name)` Unbind context name.
`static void` `unbindContext(java.lang.Object name, java.lang.Object token)` Unbind context name.
`static void` `unbindThread(java.lang.Object name)` Unbinds a naming context to a thread.
`static void` `unbindThread(java.lang.Object name, java.lang.Object token)` Unbinds a naming context to a thread.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sm

    protected static StringManager sm

  The string manager for this package.

Constructor Detail

### ContextBindings

    public ContextBindings()

Method Detail

### bindContext

    public static void bindContext(java.lang.Object name,
                                   javax.naming.Context context)

  Binds a context name.

  Parameters:
    `name` - Name of the context
    `context` - Associated naming context instance

### bindContext

    public static void bindContext(java.lang.Object name,
                                   javax.naming.Context context,
                                   java.lang.Object token)

  Binds a context name.

  Parameters:
    `name` - Name of the context
    `context` - Associated naming context instance
    `token` - Security token

### unbindContext

    public static void unbindContext(java.lang.Object name)

  Unbind context name.

  Parameters:
    `name` - Name of the context

### unbindContext

    public static void unbindContext(java.lang.Object name,
                                     java.lang.Object token)

  Unbind context name.

  Parameters:
    `name` - Name of the context
    `token` - Security token

### bindThread

    public static void bindThread(java.lang.Object name)
                           throws javax.naming.NamingException

  Binds a naming context to a thread.

  Parameters:
    `name` - Name of the context
  Throws:
    `javax.naming.NamingException`

### bindThread

    public static void bindThread(java.lang.Object name,
                                  java.lang.Object token)
                           throws javax.naming.NamingException

  Binds a naming context to a thread.

  Parameters:
    `name` - Name of the context
    `token` - Security token
  Throws:
    `javax.naming.NamingException`

### unbindThread

    public static void unbindThread(java.lang.Object name)

  Unbinds a naming context to a thread.

  Parameters:
    `name` - Name of the context

### unbindThread

    public static void unbindThread(java.lang.Object name,
                                    java.lang.Object token)

  Unbinds a naming context to a thread.

  Parameters:
    `name` - Name of the context
    `token` - Security token

### getThread

    public static javax.naming.Context getThread()
                                          throws javax.naming.NamingException

  Retrieves the naming context bound to a thread.

  Throws:
    `javax.naming.NamingException`

### isThreadBound

    public static boolean isThreadBound()

  Tests if current thread is bound to a context.

### bindClassLoader

    public static void bindClassLoader(java.lang.Object name)
                                throws javax.naming.NamingException

  Binds a naming context to a class loader.

  Parameters:
    `name` - Name of the context
  Throws:
    `javax.naming.NamingException`

### bindClassLoader

    public static void bindClassLoader(java.lang.Object name,
                                       java.lang.Object token)
                                throws javax.naming.NamingException

  Binds a naming context to a thread.

  Parameters:
    `name` - Name of the context
    `token` - Security token
  Throws:
    `javax.naming.NamingException`

### bindClassLoader

    public static void bindClassLoader(java.lang.Object name,
                                       java.lang.Object token,
                                       java.lang.ClassLoader classLoader)
                                throws javax.naming.NamingException

  Binds a naming context to a thread.

  Parameters:
    `name` - Name of the context
    `token` - Security token
  Throws:
    `javax.naming.NamingException`

### unbindClassLoader

    public static void unbindClassLoader(java.lang.Object name)

  Unbinds a naming context to a class loader.

  Parameters:
    `name` - Name of the context

### unbindClassLoader

    public static void unbindClassLoader(java.lang.Object name,
                                         java.lang.Object token)

  Unbinds a naming context to a class loader.

  Parameters:
    `name` - Name of the context
    `token` - Security token

### unbindClassLoader

    public static void unbindClassLoader(java.lang.Object name,
                                         java.lang.Object token,
                                         java.lang.ClassLoader classLoader)

  Unbinds a naming context to a class loader.

  Parameters:
    `name` - Name of the context
    `token` - Security token

### getClassLoader

    public static javax.naming.Context getClassLoader()
                                               throws javax.naming.NamingException

  Retrieves the naming context bound to a class loader.

  Throws:
    `javax.naming.NamingException`

### isClassLoaderBound

    public static boolean isClassLoaderBound()

  Tests if current class loader is bound to a context.

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.